@echo off
cd /d "%~dp0"

if "%1"=="" (
	echo.
	echo.
	echo ============================================================
	echo Usage: drop a video file on this batch script, or pass file as shell argument.
	echo ============================================================
	echo.
	echo.
	echo Available Video Compressors:
	echo ============================
	echo.
	bin\dscmd -lc {33D9A760-90C8-11D0-BD43-00A0C911CE86}
	echo.
	pause
	exit
)

echo.
echo ============================================================
echo Transcoding video to AVI with Hap codec (Hap1) - please be patient...
echo ============================================================
echo.

:: make sure that also LAV's DLLs are found
set PATH=bin\filters;%PATH%

bin\dscmd^
 -graph {B98D13E7-55DB-4385-A33D-09FD1BA26338};src=%1;file=bin\filters\LAVSplitter.ax,^
{EE30215D-164F-4A92-A4EB-9D4C13390F9F};file=bin\filters\LAVVideo.ax,^
{33D9A760-90C8-11D0-BD43-00A0C911CE86};name="Hap";dialog,^
{E2510970-F137-11CE-8B67-00AA00A3F1A6},^
{8596E5F0-0DA5-11D0-BD21-00A0C911CE86};dest=%1_hap.avi!^
0:1,1:2,2:3,3:4^
 -size 480,120^
 -progress^
 -winCaption "Transcoding to Hap AVI..."^
 -v 0

echo.
echo.

if "%ERRORLEVEL%"=="0" (
	echo ============================================================
	echo The video was successfully transcoded to Hap AVI file:
	echo %1_hap.avi
	echo ============================================================
) else (
	============================================================
	echo ERROR: transcoding failed.
	============================================================
)

echo.
echo.
pause
